EntityFilter (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap.util
Class EntityFilter<T>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<T>
              fr.inrialpes.exmo.ontowrap.util.FilteredSet<T>
                  fr.inrialpes.exmo.ontowrap.util.EntityFilter<T>

All Implemented Interfaces:
  Iterable<T>, Collection<T>, Set<T>

    public class EntityFilter<T>

extends FilteredSet<T>

Field Summary
`private LoadedOntology<?>` | `onto`
`private String` | `ontoURI`

Constructor Summary
`EntityFilter(Set<T> s, LoadedOntology<?> onto)`

Method Summary
`protected boolean` | `isFiltered(T obj)` filter ontology entities which have no URI or external URI ontoURI.equals(entURI.toString()) is for OWL API 1 : it seems that anonymous entities have their URI = ontology URI

Methods inherited from class fr.inrialpes.exmo.ontowrap.util.FilteredSet
`iterator, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Field Detail

### ontoURI

    private String ontoURI

### onto

    private LoadedOntology<?> onto

Constructor Detail

### EntityFilter

    public EntityFilter(Set<T> s,
                        LoadedOntology<?> onto)

Method Detail

### isFiltered

    protected boolean isFiltered(T obj)

  filter ontology entities which have no URI or external URI ontoURI.equals(entURI.toString()) is for OWL API 1 : it seems that anonymous entities have their URI = ontology URI

  Specified by:
    `isFiltered` in class `FilteredSet<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010